Invoice & credit note templates
Update organisation credit note template
Updates organisation-level credit note template (global default). Request body: same as invoice template (boolean flags for grouping, line description formula with placeholders from GET line-item-description-fields, optional lineDescriptionTagGroupId, attachment strategy).
PUT
/
finance
/
credit-note-template
Update organisation credit note template
curl --request PUT \
--url https://api.sandbox.flowpayroll.ai/v1/billing/finance/credit-note-template \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"showSubsectionHeader": true,
"showSubtotalInSubsection": true,
"showSubtotalVatInSubsection": true,
"showQuantitySumInSubsection": true,
"showBottomSubtotals": true,
"showVatInBottomSubtotals": true,
"showQuantitySumInBottomSubtotals": true,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": true
}
'import requests
url = "https://api.sandbox.flowpayroll.ai/v1/billing/finance/credit-note-template"
payload = {
"showSubsectionHeader": True,
"showSubtotalInSubsection": True,
"showSubtotalVatInSubsection": True,
"showQuantitySumInSubsection": True,
"showBottomSubtotals": True,
"showVatInBottomSubtotals": True,
"showQuantitySumInBottomSubtotals": True,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": True
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
showSubsectionHeader: true,
showSubtotalInSubsection: true,
showSubtotalVatInSubsection: true,
showQuantitySumInSubsection: true,
showBottomSubtotals: true,
showVatInBottomSubtotals: true,
showQuantitySumInBottomSubtotals: true,
lineDescriptionFormula: '<string>',
lineDescriptionTagGroupId: '<string>',
includeAttachmentsWithOnlineInvoice: true
})
};
fetch('https://api.sandbox.flowpayroll.ai/v1/billing/finance/credit-note-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": {
"data": {
"showSubsectionHeader": true,
"showSubtotalInSubsection": true,
"showSubtotalVatInSubsection": true,
"showQuantitySumInSubsection": true,
"showBottomSubtotals": true,
"showVatInBottomSubtotals": true,
"showQuantitySumInBottomSubtotals": true,
"lineDescriptionFormula": "<string>",
"lineDescriptionTagGroupId": "<string>",
"includeAttachmentsWithOnlineInvoice": true
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"content": {
"data": "<string>",
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}{
"content": {
"data": "<string>",
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
}
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>"
},
"errors": [
{
"field": "<string>",
"reasonText": "<string>",
"reasonId": "<string>",
"reasonParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"message": {
"text": "<string>",
"textId": "<string>",
"textParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}Authorizations
Authentication token for API access
Body
application/json
Available options:
None, ByEmployee, ByPayElementThenEmployee Available options:
ExcessLost, MergeOnIntegration Was this page helpful?
⌘I
Update organisation credit note template
